Subject: [bug#71897] [PATCH v8 8/8] gnu: telegram-desktop: Update to 5.5.5.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 24 Sep 2024 15:00:14 +0900

Hi Dan,

dan <[email-masked]> writes:

[...]

> In gcc-12, the code looks like this:
>
>   template<typename _CharT>
>     _GLIBCXX20_CONSTEXPR
>     inline
>     typename __gnu_cxx::__enable_if<__is_char<_CharT>::__value, 
>     bool>::__type
>     operator==(const basic_string<_CharT>& __lhs,
> 	       const basic_string<_CharT>& __rhs) 
> 	       _GLIBCXX_NOEXCEPT
>     { return (__lhs.size() == __rhs.size()
> 	      && !std::char_traits<_CharT>::compare(__lhs.data(), 
> 	      __rhs.data(),
> 						    __lhs.size())); 
> 						    }
>
> Which indeed has the constexpr.
>
> But as I explained in previous reply, I failed at using a newer 
> version of gcc.  Thus, I think trivially remove the constexpr from 
> telegram-desktop's source is the easiest fix here.

I see.  I thisk it'd be nice if a short summary of this was added to a
comment in the phase patching out the constexpr keyword.

-- 
Thanks,
Maxim